### Method

# CM Room set_typing_notice_async

#### Declaration [src]

    void
    cm_room_set_typing_notice_async (
      CmRoom* self,
      gboolean typing,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Set/Unset if the self user is typing or not. The typing set is timeout after 4 seconds.

This method completes asynchronously. Use `cm_room_set_typing_notice_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`typing`

  Type: `gboolean`

  Set/unset typing.

`cancellable`

  Type: `GCancellable`

  A `Gcancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A `GasyncReadyCallback`.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  The user data for `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.